// Es3.2
#include<stdio.h>

#define DIM 4

#define MAX_ETA_LEN 3

/*--------------------------------------------------------------------------*/
/*                        Funzioni già implementate                         */
/*--------------------------------------------------------------------------*/

int getint(void){
	char input;
	int num = 0;
	
	// Prendo il primo carattere
	input = getchar();
	// Ad ogni ciclo converto il singolo carattere in cifra numerica
	while(input!='\n'){
		// Rimuovo l'offset del carattere ASCII '0' (=48)
		input = input - '0';
		// Sposto le cifre già inserite nelle posizioni più significative
		num = 10*num + input;
		// Ricevo il nuovo carattere
		input = getchar();	
	}
	return num;
}

int putint(int num) {
	char output[MAX_ETA_LEN] = "";

	int i = 0;
	int j;

	int rem;

	// Gestisco il caso num == 0 separatamente
	if (num == 0) {
        	output[i] = '0';
		i++;
        	output[i] = '\0';
    	} else { 
		// Gestisco cifra per cifra
		while(num != 0){
			// Calcolo il resto per la base 10
			rem = num % 10;
			// Aggiungo l'offset del carattere ASCII '0' (=48)
			output[i] = rem + '0';
			// Passo al carattere successivo
			i++;
			// Divido per 10 il numero per considerare la cifra successiva
			num = num/10;
		// Al termine aggiungo il terminatore
		output[i] = '\0';
		}
	
	}
	// Stampo invertita
	for(j=i; j>-1; j--){
		putchar(output[j]);
	}

	return num;	
}

int main(){

	// Matrice
	int m[DIM][DIM];

	// Contatori
	int i, j;
	int k = 0;

	while(k<(DIM/2+DIM%2)) {

		for(i=k, j=k; j<DIM-k; j++){
			m[i][j] = getint();
		}

		for(i=1+k, j=DIM-1-k; i<DIM-k; i++){
			m[i][j] = getint();
		}

		for(i=DIM-1-k, j=DIM-2-k; j>=k; j--){
			m[i][j] = getint();
		}

		for(i=DIM-2-k, j=k; i>k; i--){
			m[i][j] = getint();
		}

		k++;

	}

	for(i=0; i<DIM; i++){
			for(j=0; j<DIM; j++){
				putint(m[i][j]);
				putchar('\t');
			}
			putchar('\n');
		}

	return 0;

}
