// Es3.3
#include<stdio.h>

#define RIG 4
#define COL 3

#define MAX_ETA_LEN 3

/*--------------------------------------------------------------------------*/
/*                        Funzioni già implementate                         */
/*--------------------------------------------------------------------------*/

int getint(void){
	char input;
	int num = 0;
	
	// Prendo il primo carattere
	input = getchar();
	// Ad ogni ciclo converto il singolo carattere in cifra numerica
	while(input!='\n'){
		// Rimuovo l'offset del carattere ASCII '0' (=48)
		input = input - '0';
		// Sposto le cifre già inserite nelle posizioni più significative
		num = 10*num + input;
		// Ricevo il nuovo carattere
		input = getchar();	
	}
	return num;
}

int putint(int num) {
	char output[MAX_ETA_LEN] = "";

	int i = 0;
	int j;

	int rem;

	// Gestisco il caso num == 0 separatamente
	if (num == 0) {
        	output[i] = '0';
		i++;
        	output[i] = '\0';
    	} else { 
		// Gestisco cifra per cifra
		while(num != 0){
			// Calcolo il resto per la base 10
			rem = num % 10;
			// Aggiungo l'offset del carattere ASCII '0' (=48)
			output[i] = rem + '0';
			// Passo al carattere successivo
			i++;
			// Divido per 10 il numero per considerare la cifra successiva
			num = num/10;
		// Al termine aggiungo il terminatore
		output[i] = '\0';
		}
	
	}
	// Stampo invertita
	for(j=i; j>-1; j--){
		putchar(output[j]);
	}

	return num;	
}

/*--------------------------------------------------------------------------*/
/*                        Funzioni da implementare                          */
/*--------------------------------------------------------------------------*/

void getmatrix(int m[RIG][COL]){
	// Contatori
	int i, j;

	for(i=0;i < RIG;i++){

		for(j=0;j < COL;j++){

			m[i][j] = getint();

		}
	}
}

void putmatrix(int m[RIG][COL]){
	// Contatori
	int i, j;

	for(i=0; i<RIG; i++){
			for(j=0; j<COL; j++){
				putint(m[i][j]);
				putchar('\t');
			}
			putchar('\n');
	}
}

void somma_m(int m1[RIG][COL], int m2[RIG][COL], int m_ris[RIG][COL]){
	// Contatori
	int i, j;

	for(i=0; i<RIG; i++){
		for(j=0; j<COL; j++){
			m_ris[i][j] = m1[i][j]+m2[i][j];
		}
	}
}

int main(){

	// Matrici
	int m1[RIG][COL], m2[RIG][COL], m_ris[RIG][COL];

	getmatrix(m1);
	getmatrix(m2);

	putmatrix(m1);
	putchar('\n');
	putmatrix(m2);
	putchar('\n');

	somma_m(m1,m2,m_ris);

	putmatrix(m_ris);

	return 0;
}
