// Es3.5
#include<stdio.h>

#define DIM 3

#define MAX_ETA_LEN 3

/*--------------------------------------------------------------------------*/
/*                        Funzioni già implementate                         */
/*--------------------------------------------------------------------------*/

int getint(void){
	char input;
	int num = 0;
	
	// Prendo il primo carattere
	input = getchar();
	// Ad ogni ciclo converto il singolo carattere in cifra numerica
	while(input!='\n'){
		// Rimuovo l'offset del carattere ASCII '0' (=48)
		input = input - '0';
		// Sposto le cifre già inserite nelle posizioni più significative
		num = 10*num + input;
		// Ricevo il nuovo carattere
		input = getchar();	
	}
	return num;
}

int putint(int num) {
	char output[MAX_ETA_LEN] = "";

	int i = 0;
	int j;

	int rem;

	// Gestisco il caso num == 0 separatamente
	if (num == 0) {
        	output[i] = '0';
		i++;
        	output[i] = '\0';
    	} else { 
		// Gestisco cifra per cifra
		while(num != 0){
			// Calcolo il resto per la base 10
			rem = num % 10;
			// Aggiungo l'offset del carattere ASCII '0' (=48)
			output[i] = rem + '0';
			// Passo al carattere successivo
			i++;
			// Divido per 10 il numero per considerare la cifra successiva
			num = num/10;
		// Al termine aggiungo il terminatore
		output[i] = '\0';
		}
	
	}
	// Stampo invertita
	for(j=i; j>-1; j--){
		putchar(output[j]);
	}

	return num;	
}

/*--------------------------------------------------------------------------*/
/*                        Funzioni da implementare                          */
/*--------------------------------------------------------------------------*/

void sommavp(int* v1, int* v2, int* ris){
	int i;

	for(i=0; i<DIM; i++){
		*(ris+i) = *(v1+i)+*(v2+i);
	}
}

int main(){
	int i;

	// Matrici
	int v1[DIM], v2[DIM];
	int ris[DIM];

	for(i=0; i<DIM; i++){
		v1[i] = getint();
		v2[i] = getint();
	}

	sommavp(v1,v2,ris);

	putchar('\n');
	for(i=0; i<DIM; i++){
		putint(ris[i]);
		putchar(' ');
	}
	putchar('\n');

	return 0;
}
