// Es3.1
#include<stdio.h>

#define RIG 4
#define COL 4

#define MAX_ETA_LEN 3

/*--------------------------------------------------------------------------*/
/*                        Funzioni già implementate                         */
/*--------------------------------------------------------------------------*/

int getint(void){
	char input;
	int num = 0;
	
	// Prendo il primo carattere
	input = getchar();
	// Ad ogni ciclo converto il singolo carattere in cifra numerica
	while(input!='\n'){
		// Rimuovo l'offset del carattere ASCII '0' (=48)
		input = input - '0';
		// Sposto le cifre già inserite nelle posizioni più significative
		num = 10*num + input;
		// Ricevo il nuovo carattere
		input = getchar();	
	}
	return num;
}

int putint(int num) {
	char output[MAX_ETA_LEN] = "";

	int i = 0;
	int j;

	int rem;

	// Gestisco il caso num == 0 separatamente
	if (num == 0) {
        	output[i] = '0';
		i++;
        	output[i] = '\0';
    	} else { 
		// Gestisco cifra per cifra
		while(num != 0){
			// Calcolo il resto per la base 10
			rem = num % 10;
			// Aggiungo l'offset del carattere ASCII '0' (=48)
			output[i] = rem + '0';
			// Passo al carattere successivo
			i++;
			// Divido per 10 il numero per considerare la cifra successiva
			num = num/10;
		// Al termine aggiungo il terminatore
		output[i] = '\0';
		}
	
	}
	// Stampo invertita
	for(j=i; j>-1; j--){
		putchar(output[j]);
	}

	return num;	
}

int main(){

	// Matrice
	int mat[RIG][COL];

	// Contatori
	int i, j;

	for(i=0;i < RIG;i++){

		for(j=0;j < COL;j++){

			mat[i][j] = getint();

		}
	}

	for(i=0;i < RIG;i++){

		for(j=0;j < COL;j++){

			putint(mat[i][j]);
			putchar('\t');

		}
		putchar('\n');
	}

	return 0;

}
